Last Comment Bug 749526 - Tracking potential leaks in the SDK exposed by bug 695480
: Tracking potential leaks in the SDK exposed by bug 695480
Status: RESOLVED FIXED
:
Product: Add-on SDK
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All All
: P4 normal (vote)
: ---
Assigned To: Alexandre Poirot [:ochameau]
:
Mentors:
Depends on: 751211 751420 751546 751584 751595 752468
Blocks: hueyfix
  Show dependency treegraph
 
Reported: 2012-04-26 22:21 PDT by Wes Kocher (:KWierso)
Modified: 2012-07-18 08:10 PDT (History)
15 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
cfx testall's log (255.31 KB, text/plain)
2012-04-26 22:21 PDT, Wes Kocher (:KWierso)
no flags Details

Description Wes Kocher (:KWierso) 2012-04-26 22:21:31 PDT
Created attachment 618931 [details]
cfx testall's log

So I cfx testall'd the current master branch of the SDK and against an hourly build of Firefox that included bug 695480.

Attached is the results of the cfx testall. 
There are 83 counts of "can't access dead object", which was introduced in bug 695480 and is thrown when code tries to reach an object that no longer exists because of the patch.
Comment 1 Dave Townsend [:mossop] 2012-04-30 11:03:08 PDT
Alex, could you take a look and figure out what is going on here? This suggests to me that objects that were somehow leaking before are now getting deleted, but I'd expect if we're actually using those objects that we'd see far more test failures than we have.

Would be nice to have some idea by the meeting tomorrow, but not critical.
Comment 2 Nicholas Nethercote [:njn] (on vacation until July 11) 2012-05-03 17:44:50 PDT
Bug 751420 comment 12 is an explanation of what's going on.

Is it possible to get a list of all the add-ons on AMO built with old versions of the SDK?
Comment 3 Dave Townsend [:mossop] 2012-05-03 17:48:17 PDT
(In reply to Nicholas Nethercote [:njn] from comment #2)
> Bug 751420 comment 12 is an explanation of what's going on.
> 
> Is it possible to get a list of all the add-ons on AMO built with old
> versions of the SDK?

The AMO guys have that info
Comment 4 Alexandre Poirot [:ochameau] 2012-05-07 07:03:14 PDT
In bug 751211, we were potentially leaking Panel/Page-Worker/Widget document on addon disabling.
In bug 751546, tab `select` may not be firing.
In bug 751595, I don't think any addon is going to face this one. It was triggered only on documents being destroyed before Symbiont object is inited.

The worse case is bug 751420 where content document matched by page-mod or targeted with tab.attach() are going to be leaked!
I wrote more details in bug 751420 comment 19.
See bug 751466 for potential solutions about these leaks.
Comment 5 Nicholas Nethercote [:njn] (on vacation until July 11) 2012-06-01 14:49:45 PDT
Can we close this bug?  All the dependent bugs have been closed.
Comment 6 Andrew McCreight (PTO-ish through 6-29) [:mccr8] 2012-06-01 15:09:57 PDT
There was another one in the last few days that maybe should be blocking this.  I don't recall the number unfortunately...
Comment 7 Alexandre Poirot [:ochameau] 2012-07-18 08:09:57 PDT
I think that the last one was figured out, so closing it now.
But do not hesitate to reopen if there is one left.

Note You need to log in before you can comment on or make changes to this bug.